Subject: [bug#75909] PATCH python-team

From: Adriano Peluso <[email-masked]>
Date: Tue, 28 Jan 2025 14:51:20 +0100

this fixes python-objgraph on the "python-team" branch

python-objgraph is a dependency of python-greenlet and python-greenlet 
is a dependency of a project I'm working on at my dayjob

the tests need to write some cache files otherwise they will fail

And they can't write if a HOME env variable is not set

I can't see why with python 3.10 this wasn't a problem but with python 
3.11 is

The commit message isn't ok, probably

And the formatting is not ok, probably

That's because I haven't been doing this for quite some time now and my 
setup and habits are a bit shacky

Please bear with me
From 52676ce689dd191fc885109113d01642da7a8b40 Mon Sep 17 00:00:00 2001
Message-Id: <[email-masked]>
From: Adriano Peluso <[email-masked]>
Date: Tue, 28 Jan 2025 12:27:58 +0100
Subject: [PATCH]     gnu: python-objgraph: fixed

    * gnu/packages/python-xyz.scm (python-objgraph): fixed

Change-Id: Ib0371a73f9c30b8c2091bf4ce7e034fb7375765b
---
 gnu/packages/python-xyz.scm | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 1a16fae465..1d3f9746f6 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -21931,6 +21931,13 @@ (define-public python-objgraph
     (build-system pyproject-build-system)
     (arguments
      (list
+      #:phases
+      #~(modify-phases %standard-phases
+                        (add-before 'check 'set-home
+                          (lambda _
+                            (setenv "HOME" "/tmp")))
+         )
+      
       #:test-flags
       #~(list "tests.py"
               ;; AssertionError: [0, 1, 2] not found in [[], [], [], [], [],

base-commit: 6de3466d81f0ecea49cf9fd66a6d375c646b799f
-- 
2.34.1